Update Kafka User
curl --request PUT \
--url https://api.streamkap.com/kafka-access/kafka-users/{username} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whitelist_ips": "<string>",
"kafka_acls": [],
"password": "<string>",
"is_create_schema_registry": true
}
'import requests
url = "https://api.streamkap.com/kafka-access/kafka-users/{username}"
payload = {
"whitelist_ips": "<string>",
"kafka_acls": [],
"password": "<string>",
"is_create_schema_registry": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whitelist_ips: '<string>',
kafka_acls: [],
password: '<string>',
is_create_schema_registry: true
})
};
fetch('https://api.streamkap.com/kafka-access/kafka-users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Kafka Access
Update Kafka User
PUT
/
kafka-access
/
kafka-users
/
{username}
Update Kafka User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I